#
# spec file for package perl-Test-Output
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Output
Version:        1.031
Release:        lp151.2.1
%define cpan_name Test-Output
Summary:        Utilities to test STDOUT and STDERR messages
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Output/
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny) >= 0.17
BuildRequires:  perl(File::Temp) >= 0.17
BuildRequires:  perl(Test::Tester) >= 0.107
Requires:       perl(Capture::Tiny) >= 0.17
Requires:       perl(File::Temp) >= 0.17
%{perl_requires}

%description
Test::Output provides a simple interface for testing output sent to
'STDOUT' or 'STDERR'. A number of different utilities are included to try
and be as flexible as possible to the tester.

Likewise, Capture::Tiny provides a much more robust capture mechanism
without than the original Test::Output::Tie.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes
%license LICENSE

%changelog
* Thu Mar 30 2017 coolo@suse.com
- updated to 1.031
  see /usr/share/doc/packages/perl-Test-Output/Changes
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.03
  * Get rid of MYMETA
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.02
  * Bump to stable release
  * Remove the ::Tie stuff. It should be fully Capture::Tiny
    now.
  * David Golden re-did everything with Capture::Tiny
    to get around the odd output paths that we coudn't
    handle with a tie.
* Tue May 17 2011 coolo@opensuse.org
- updated to 1.01
  * Bump to a full release. This fixes the tests that failed
    in the new 5.14 regex stringification
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 24 2010 chris@computersalat.de
- fix obviously lost changes
  o Sun Jun 14 21:17:23 CEST 2009
  o Sun Jun 21 22:37:55 CEST 2009
* Tue Jul  6 2010 chris@computersalat.de
- update spec by cpanspec 1.78
- noarch pkg
- split pkg version
  o perl-Test-Output_0_12 for suse_version < 1130
* Sun Apr 11 2010 chris@computersalat.de
- update to 0.16
  Multiple fixes:
  * RT #23494: squash warning when untie-ing STDOUT
  * RT #45740: fix Test::Tester prereq version
  * RT #45748: Add a null BINMODE to Test::Output::Tie
- cleanup spec
  o fixed Header
  o updated Url
  o fixed perl-macros deps
  o fixed deps
  o updated description
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- update to 0.13
  * brian d foy (bdfoy@cpan.org) is the new maintainer
  * Updated docs for source code location, license, etc
* Sun Jun 14 2009 chris@computersalat.de
- initial package 0.12
